#3910 closed project (fixed)

Add BSP for STM32H7

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: bsps Version: 6
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Add a BSP for the STM32H7 series. Import the HAL from https://github.com/STMicroelectronics/stm32h7xx_hal_driver. Add a VERSION file to allow future updates similar to https://git.rtems.org/rtems/tree/cpukit/dtc/VERSION. Add standard clock and console drivers.

Change History (12)

comment:1 Changed on Apr 2, 2020 at 9:14:25 AM by Sebastian Huber <sebastian.huber@…>

In 2c7cd34/rtems-docs:

eng: Add documentation guidelines

Start with templates for the application configuration options.

Remove "Format to be followed for making changes in this file" from
c-user.

Update #3910.

comment:2 Changed on Oct 20, 2020 at 3:29:55 PM by Mick

Hi Sebastian, I was keen to use RTEMS on an STM32H7xx board and thought I would reach out and see how the effort was going. I'm not much of a C/C++ dev unfortunately but if there is anything I can do to assist please let me know.

Cheers,

Mick

comment:3 Changed on Oct 21, 2020 at 5:59:34 AM by Sebastian Huber <sebastian.huber@…>

In 3fccdc95/rtems:

bsps/arm: Add support for MPU region alignment

Update #3910.

comment:4 Changed on Oct 27, 2020 at 5:14:39 AM by Sebastian Huber <sebastian.huber@…>

In 2131228/rtems:

bsp/stm32h7: Import from STM32CubeMX-5.6.0

Update #3910.

comment:5 Changed on Oct 27, 2020 at 5:14:43 AM by Sebastian Huber <sebastian.huber@…>

In 2cfcd00/rtems:

bsp/stm32h7: Constify some functions

Update #3910.

comment:6 Changed on Oct 27, 2020 at 5:14:46 AM by Sebastian Huber <sebastian.huber@…>

In 2f157e2/rtems:

bsp/stm32h7: Move <math.h> include

This is necessary for libbsd compatibility.

Update #3910.

comment:7 Changed on Oct 27, 2020 at 5:14:49 AM by Sebastian Huber <sebastian.huber@…>

In abb7858/rtems:

bsp/stm32h7: Enable LL drivers

Update #3910.

comment:8 Changed on Oct 27, 2020 at 5:14:53 AM by Sebastian Huber <sebastian.huber@…>

In e4ba06f/rtems:

bsp/stm32h7: Disable unused functions

Update #3910.

comment:9 Changed on Oct 27, 2020 at 5:14:56 AM by Sebastian Huber <sebastian.huber@…>

In c44e404/rtems:

bsp/stm32h7: Fix warnings

Update #3910.

comment:10 Changed on Oct 27, 2020 at 5:14:59 AM by Sebastian Huber <sebastian.huber@…>

In 99494370/rtems:

bsp/stm32h7: New BSP

Update #3910.

comment:11 Changed on Oct 27, 2020 at 6:51:45 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: assignedclosed

In 8fe0da2/rtems-docs:

user: Add arm/stm32h7

Close #3910.

comment:12 Changed on Nov 26, 2020 at 7:37:19 AM by Sebastian Huber <sebastian.huber@…>

In fe58f6ce/rtems:

bsp/stm32h7: Add and use BSP Doxygen group

Update #3910.

Note: See TracTickets for help on using tickets.